Skip to main content
PUT
/
v1
/
populations
/
{populationTagId}
Update Population
curl --request PUT \
  --url https://{tenant}.mindbridge.ai/api/v1/populations/{populationTagId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "name": "<string>",
  "category": "<string>",
  "condition": {
    "type": "GROUP",
    "operator": "AND",
    "conditions": [
      "<unknown>"
    ]
  },
  "description": "<string>",
  "reasonForChange": "<string>",
  "disabled": true,
  "displayCurrencyCode": "<string>",
  "displayLocale": "<string>"
}
'
{
  "version": 123,
  "analysisTypeId": "<string>",
  "name": "<string>",
  "category": "<string>",
  "condition": {
    "type": "GROUP",
    "operator": "AND",
    "conditions": [
      "<unknown>"
    ]
  },
  "legacyFilterFormat": true,
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "libraryId": "<string>",
  "engagementId": "<string>",
  "derivedFromLibrary": true,
  "disabledForAnalysisIds": [
    "<string>"
  ],
  "promotedFromAnalysisId": "<string>",
  "analysisId": "<string>",
  "derivedFromEngagement": true,
  "basePopulationId": "<string>",
  "description": "<string>",
  "clonedFrom": "<string>",
  "reasonForChange": "<string>",
  "disabled": true,
  "displayCurrencyCode": "<string>",
  "displayLocale": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.mindbridge.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

populationTagId
string
required

Body

application/json
version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

name
string
required

The name of the population.

Maximum string length: 80
category
string
required

The category of the population.

Maximum string length: 80
condition
Filter Group Condition · object
required

The filter condition used to determine which entries are included in the population.

description
string

A description of the population.

Maximum string length: 250
reasonForChange
string

The reason for the latest change made to the population.

Maximum string length: 250
disabled
boolean
displayCurrencyCode
string

The ISO 4217 three-digit currency code that determines how currency values are formatted. Defaults to USD if not specified.

displayLocale
string

The ISO 639 locale identifier used to format display values. Defaults to en-us if not specified.

Response

200 - application/json

OK

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

analysisTypeId
string
required
name
string
required

The name of the population.

Maximum string length: 80
category
string
required

The category of the population.

Maximum string length: 80
condition
Filter Group Condition · object
required

The filter condition used to determine which entries are included in the population.

legacyFilterFormat
boolean
required

If true, this population uses a legacy filter format that cannot be represented in the current condition format.

id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object
read-only

Details about the user who created the object.

lastModifiedUserInfo
User Info · object
read-only

Details about the user who last modified or updated the object.

libraryId
string

The ID of the parent library.

engagementId
string

The ID of the parent engagement.

derivedFromLibrary
boolean

Indicates that the engagement population was derived from a library.

disabledForAnalysisIds
string[]

Lists the analysis IDs where the engagement population is disabled.

promotedFromAnalysisId
string

Identifies the analysis from which the engagement population was promoted.

analysisId
string

The ID of the parent analysis.

derivedFromEngagement
boolean

Indicates whether the analysis population was derived from an engagement.

basePopulationId
string

The ID of the population the current population is based on.

description
string

A description of the population.

Maximum string length: 250
clonedFrom
string

Identifies the population the current population was cloned from.

reasonForChange
string

The reason for the latest change made to the population.

Maximum string length: 250
disabled
boolean
displayCurrencyCode
string

The ISO 4217 three-digit currency code that determines how currency values are formatted. Defaults to USD if not specified.

displayLocale
string

The ISO 639 locale identifier used to format display values. Defaults to en-us if not specified.